Skip to main content
GET
/
v1
/
runs
/
{workflow_run_id}
/
tags
/
history
Get run tag history
curl --request GET \
  --url https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/history
import requests

url = "https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.skyvern.com/v1/runs/{workflow_run_id}/tags/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workflow_run_id": "<string>",
  "events": [
    {
      "tag_event_id": "<string>",
      "key": "<string>",
      "value": "<string>",
      "event_type": "<string>",
      "source": "<string>",
      "set_at": "2023-11-07T05:31:56Z",
      "set_by": "<string>",
      "superseded_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

workflow_run_id
string
required

Workflow run ID

Example:

"wr_123"

Query Parameters

limit
integer
default:100

Max events to return

Required range: 1 <= x <= 500
since
string<date-time> | null

Only return events at or after this timestamp

key
string | null

Filter to events for a single tag key

Response

Successfully retrieved tag history

workflow_run_id
string
required
events
TagHistoryItem · object[]
required